WWW::Mechanize::Image(3)

NAME
WWW::Mechanize::Image - Image object for WWW::Mechanize

VERSION
version 1.90

SYNOPSIS
Image object to encapsulate all the stuff that Mech needs

Constructor

  new()
Creates and returns a new "WWW::Mechanize::Image" object.

    my $image = WWW::Mechanize::Image->new( {
        url    => $url,
        base   => $base,
        tag    => $tag,
        name   => $name,     # From the INPUT tag
        height => $height,   # optional
        width  => $width,    # optional
        alt    => $alt,      # optional
        attrs  => $attr_ref, # optional
    } );

Accessors

  $link->url()
URL from the link

  $link->base()
Base URL to which the links are relative.

  $link->name()
Name for the field from the NAME attribute, if any.

  $link->tag()
Tag name (either "image" or "input")

  $link->height()
Image height

  $link->width()
Image width

  $link->alt()
ALT attribute from the source tag, if any.

  $link->attrs()
Hash ref of all the attributes and attribute values in the tag.

  $link->URI()
Returns the URL as a URI::URL object.

  $link->url_abs()
Returns the URL as an absolute URL string.

SEE ALSO
WWW::Mechanize and WWW::Mechanize::Link

AUTHOR
Andy Lester <andy at petdance.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2004-2016 by Andy Lester.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.